package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class TicketDetailBean {
    /**
     * createdBy : 705
     * createdByName : null
     * createdTime : 2020-03-28 16:00:55
     * updatedBy : null
     * updatedByName : null
     * updatedTime : null
     * id : 59
     * applyId : 66
     * orderId : AO100012
     * productId : 32
     * quantity : 1.0
     * outProductName : 浸入式水口（方坯）
     * invoiceUnitPrice : 850.0
     * productName : 浸入式水口（方坯）
     * productSoleCode : 70LTJ568-1001
     * productSimpleCode : J568-1
     * productSpec : 90
     * productUnit : 支
     * productWeight : 0.0
     */

    private int createdBy;
    private Object createdByName;
    private String createdTime;
    private Object updatedBy;
    private Object updatedByName;
    private Object updatedTime;
    private int id;
    private int applyId;
    private String orderId;
    private int productId;
    private double quantity;
    private String outProductName;
    private double invoiceUnitPrice;
    private String productName;
    private String productSoleCode;
    private String productSimpleCode;
    private String productSpec;
    private String productUnit;
    private double productWeight;
    private String lastEnterStoredTime;

    public String getLastEnterStoredTime() {
        return lastEnterStoredTime;
    }

    public void setLastEnterStoredTime(String lastEnterStoredTime) {
        this.lastEnterStoredTime = lastEnterStoredTime;
    }

    public int getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(int createdBy) {
        this.createdBy = createdBy;
    }

    public Object getCreatedByName() {
        return createdByName;
    }

    public void setCreatedByName(Object createdByName) {
        this.createdByName = createdByName;
    }

    public String getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(String createdTime) {
        this.createdTime = createdTime;
    }

    public Object getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Object updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Object getUpdatedByName() {
        return updatedByName;
    }

    public void setUpdatedByName(Object updatedByName) {
        this.updatedByName = updatedByName;
    }

    public Object getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Object updatedTime) {
        this.updatedTime = updatedTime;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getApplyId() {
        return applyId;
    }

    public void setApplyId(int applyId) {
        this.applyId = applyId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public int getProductId() {
        return productId;
    }

    public void setProductId(int productId) {
        this.productId = productId;
    }

    public double getQuantity() {
        return quantity;
    }

    public void setQuantity(double quantity) {
        this.quantity = quantity;
    }

    public String getOutProductName() {
        return outProductName;
    }

    public void setOutProductName(String outProductName) {
        this.outProductName = outProductName;
    }

    public double getInvoiceUnitPrice() {
        return invoiceUnitPrice;
    }

    public void setInvoiceUnitPrice(double invoiceUnitPrice) {
        this.invoiceUnitPrice = invoiceUnitPrice;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductSoleCode() {
        return productSoleCode;
    }

    public void setProductSoleCode(String productSoleCode) {
        this.productSoleCode = productSoleCode;
    }

    public String getProductSimpleCode() {
        return productSimpleCode;
    }

    public void setProductSimpleCode(String productSimpleCode) {
        this.productSimpleCode = productSimpleCode;
    }

    public String getProductSpec() {
        return productSpec;
    }

    public void setProductSpec(String productSpec) {
        this.productSpec = productSpec;
    }

    public String getProductUnit() {
        return productUnit;
    }

    public void setProductUnit(String productUnit) {
        this.productUnit = productUnit;
    }

    public double getProductWeight() {
        return productWeight;
    }

    public void setProductWeight(double productWeight) {
        this.productWeight = productWeight;
    }
}
